--- old/usr/src/uts/common/fs/nfs/nfs3_vnops.c	2015-01-08 09:14:34.310037310 -0500
+++ new/usr/src/uts/common/fs/nfs/nfs3_vnops.c	2015-01-08 09:14:34.317548980 -0500
@@ -30,6 +30,7 @@
 
 /*
  * Copyright (c) 2013, Joyent, Inc. All rights reserved.
+ * Copyright 2015 Nexenta Systems, Inc.  All rights reserved.
  */
 
 #include <sys/param.h>
@@ -4585,13 +4586,8 @@
 
 	mutex_exit(&rp->r_statelock);
 
-	if (len <= PAGESIZE) {
-		error = nfs3_getapage(vp, off, len, protp, pl, plsz,
-		    seg, addr, rw, cr);
-	} else {
-		error = pvn_getpages(nfs3_getapage, vp, off, len, protp,
-		    pl, plsz, seg, addr, rw, cr);
-	}
+	error = pvn_getpages(nfs3_getapage, vp, off, len, protp,
+	    pl, plsz, seg, addr, rw, cr);
 
 	switch (error) {
 	case NFS_EOF:
@@ -4605,7 +4601,7 @@
 }
 
 /*
- * Called from pvn_getpages or nfs3_getpage to get a particular page.
+ * Called from pvn_getpages to get a particular page.
  */
 /* ARGSUSED */
 static int
